# MPE_Describe_state

Create log record describing a state

## Synopsis

    int MPE_Describe_state( start, end, name, color )
    int start, end;
    char *name, *color;

## Input Parameters

start
  event number for the start of the state

end
  event number for the end of the state

name
  Name of the state

color
  color to display the state in

## Notes

Adds string containing a state def to the logfile. The format of the definition is (in ALOG)

        (LOG_STATE_DEF) 0 sevent eevent 0 0 "color" "name"

States are added to a log file by calling `MPE_Log_event` for the start and end event numbers.

## See Also

MPE_Log_get_event_number

Location:mpe_log.c